Bug 204564 - [UPDATE] multimedia/audacious and plugins to 3.7
Summary: [UPDATE] multimedia/audacious and plugins to 3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-15 16:55 UTC by Olivier Duchateau
Modified: 2015-11-16 17:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (oliver)


Attachments
Patch to update multimedia/audacious (25.83 KB, patch)
2015-11-15 16:55 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2015-11-15 16:55:19 UTC
Created attachment 163146 [details]
Patch to update multimedia/audacious

- Update to 3.7 (client and plugins)
- Sort USES
- Adjust dependencies
- Add support of Qt5, by default it's GTK2 (see below for GTK3 support)
- Add patch, when NLS option is not set
- Rewrite options helper (some options were renamed in order to respect description found in Mk/bsd.options.desc.mk)

For some options I use *_CONFIGURE_OFF because these options are enabled by default, with this macro, we are sure, that they are disabled. Moreover some options are only available with GTK2 options (see *_IMPLIES= GTK2).

About GTK+ 3 support: audacious-3.7-gtk3.tar.bz2 exists, but when we build plugins, they linked with Gtk+ 2, and we can't have in same process two GTK+ libraries different, that's why Audacious is only build with GTK+ 2.
Comment 1 commit-hook freebsd_committer 2015-11-16 17:20:09 UTC
A commit references this bug:

Author: olivierd
Date: Mon Nov 16 17:19:36 UTC 2015
New revision: 401778
URL: https://svnweb.freebsd.org/changeset/ports/401778

Log:
  - Update to 3.7
  - Sort USES
  - Adjust dependencies
  - Add patch, when NLS option is not set
  - Take maintainership
  - Rewrite options helper (some options are renamed in order to respect
  description found in Mk/bsd.options.desc.mk)
  - Add support of Qt 5, by default it is GTK+ 2

  PR:		204564
  Submitted by:	myself
  Approved by:	oliver@ (maintainer)

Changes:
  head/multimedia/audacious/Makefile
  head/multimedia/audacious/distinfo
  head/multimedia/audacious/files/extra-patch-Makefile
  head/multimedia/audacious/pkg-plist
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins/distinfo
  head/multimedia/audacious-plugins/files/
  head/multimedia/audacious-plugins/files/extra-patch-Makefile
  head/multimedia/audacious-plugins/pkg-plist
Comment 2 Olivier Duchateau freebsd_committer 2015-11-16 17:24:17 UTC
Committed.